Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface AdhocQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  AdhocQueryTypeImpl

    public interface AdhocQueryType

extends RegistryObjectType

A representation of the model object 'Adhoc Query Type'. The common base type for all types of Adh hoc queries.

The following features are supported:

- `Query Expression`

See Also:
  `RimPackage.getAdhocQueryType()`

Method Summary
`QueryExpressionType` | `getQueryExpression()` Returns the value of the 'Query Expression' containment reference.
`void` | `setQueryExpression(QueryExpressionType value)` Sets the value of the '`Query Expression`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.RegistryObjectType
`getClassification, getDescription, getExternalIdentifier, getLid, getName, getObjectType, getStatus, getVersionInfo, setDescription, setLid, setName, setObjectType, setStatus, setVersionInfo`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getQueryExpression

    QueryExpressionType getQueryExpression()

  Returns the value of the 'Query Expression' containment reference.

  If the meaning of the 'Query Expression' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Expression' containment reference.
  See Also:
    `setQueryExpression(QueryExpressionType)`, `RimPackage.getAdhocQueryType_QueryExpression()`

### setQueryExpression

    void setQueryExpression(QueryExpressionType value)

  Sets the value of the '`Query Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Query Expression' containment reference.
  See Also:
    `getQueryExpression()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD